# Hey Everyone! I'm [Romain Portanguen](https://github.com/Romain-Portanguen)

<h3 align="center"><samp> Software Engineer - MerciApp </samp></h3>

<br>

<div>
  
As a full-stack JavaScript/TypeScript developer, my skill set encompasses both back-end and front-end development.

In the realm of back-end development, I've cultivated expertise in utilizing cutting-edge tools such as Node.js, Express, Postman, Joi, and many others.

On the front-end, React.js remains my preferred playground, where I excel. I am proficient in both functional and object-oriented programming paradigms, with a preference for the latter due to its ability to promote efficient component and code re-usability.

My approach to work is founded on the diligent application of AGILE/SCRUM methodology, coupled with an unwavering commitment to code quality. I am determined to produce clean and well-structured code, always emphasizing the product's adaptability.

Furthermore, I strive to rigorously apply all the principles of the Clean Code throughout my work. My dedication to code quality is central to my priorities, aiming to ensure code readability, maintainability, and performance. This approach significantly contributes to the technical excellence of every project I contribute to.

📫 How to reach me ~

[![Gmail](https://img.shields.io/badge/-Gmail-c14438?style=flat&logo=Gmail&logoColor=white)](mailto:portanguenr@gmail.com)
[![Linkedin](https://img.shields.io/badge/-LinkedIn-blue?style=flat&logo=Linkedin&logoColor=white)](https://www.linkedin.com/in/https://www.linkedin.com/in/romain-portanguen-a9b0771b7/)
[![Twitter Badge](https://img.shields.io/badge/-Twitter-1da1f2?labelColor=1da1f2&logo=twitter&logoColor=white&link=https://twitter.com/https://twitter.com/DukeArtik)](https://twitter.com/https://twitter.com/DukeArtik)

</div>

<hr>

<h3><b><samp>Skills | Languages ~</samp></b></h3>

![Bootstrap](https://img.shields.io/badge/-Typescript-05122A?style=plastic&logo=Typescript&color=2B343B)
![Bootstrap](https://img.shields.io/badge/-Javascript-05122A?style=plastic&logo=Javascript&color=2B343B)
![Bootstrap](https://img.shields.io/badge/-Python-05122A?style=plastic&logo=Python&color=2B343B)
![Bootstrap](https://img.shields.io/badge/-React-05122A?style=plastic&logo=React&color=2B343B)
![Bootstrap](https://img.shields.io/badge/-Nodejs-05122A?style=plastic&logo=Nodejs&color=2B343B)
![Bootstrap](https://img.shields.io/badge/-MySQL-05122A?style=plastic&logo=MySQL&color=2B343B)
![Bootstrap](https://img.shields.io/badge/-PostgreSQL-05122A?style=plastic&logo=PostgreSQL&color=2B343B)
![Bootstrap](https://img.shields.io/badge/-yarn-05122A?style=plastic&logo=yarn&color=2B343B)
![Bootstrap](https://img.shields.io/badge/-npm-05122A?style=plastic&logo=npm&color=2B343B)

<hr>

<div>
  
<h3><b><samp>Tools | Platforms ~</samp></b></h3>
  
![Bootstrap](https://img.shields.io/badge/-Gitlab-05122A?style=plastic&logo=Gitlab&color=2B343B)
![Bootstrap](https://img.shields.io/badge/-Github-05122A?style=plastic&logo=Github&color=2B343B)
![Bootstrap](https://img.shields.io/badge/-Git-05122A?style=plastic&logo=Git&color=2B343B)
![Bootstrap](https://img.shields.io/badge/-Bash-05122A?style=plastic&logo=Bash&color=2B343B)
![Bootstrap](https://img.shields.io/badge/-VisualStudioCode-05122A?style=plastic&logo=VisualStudioCode&color=2B343B)
![Bootstrap](https://img.shields.io/badge/-VirtualBox-05122A?style=plastic&logo=VirtualBox&color=2B343B)
![Bootstrap](https://img.shields.io/badge/-Docker-05122A?style=plastic&logo=Docker&color=2B343B)
  
</div>

<hr>

<div>
  
<h3><b><samp>Operating systems ~</samp></b></h3>

![Bootstrap](https://img.shields.io/badge/-MacOs-05122A?style=plastic&logo=MacOs&color=2B343B)
![Bootstrap](https://img.shields.io/badge/-Linux-05122A?style=plastic&logo=Linux&color=2B343B)
![Bootstrap](https://img.shields.io/badge/-Debian-05122A?style=plastic&logo=Debian&color=2B343B)
![Bootstrap](https://img.shields.io/badge/-KaliLinux-05122A?style=plastic&logo=KaliLinux&color=2B343B)
![Bootstrap](https://img.shields.io/badge/-Windows-05122A?style=plastic&logo=Windows&color=2B343B)
  
</div>

<hr> 
  

<div>
<h3><b><samp>Career ~</samp></b></h3>

<p>[- Fullstack developer at MerciApp since August 2022. -]</p>

<span>
  <a href="https://www.merci-app.com/">
    <img src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRwzlQguqwlm-v6JuoQDiASeAHfLNAZWrEZjvlzbObM&s" alt="MerciApp" width="152" height="36"/>
  </a>
  <br>
</span>

<h3><b><samp>Support ~</samp></b></h3>

<p>
  <a href="https://www.buymeacoffee.com/romainport"><img src="https://img.buymeacoffee.com/button-api/?text=Buy me a coffee&emoji=&slug=romainport&button_colour=5F7FFF&font_colour=ffffff&font_family=Poppins&outline_colour=000000&coffee_colour=FFDD00" /></a>
</p>

</div>
  
<hr>
